#/* $Id: gtk-gui.hh,v 1.12 2003/01/11 22:20:38 richard Exp $ -*- C++ -*-
  __   _
  |_) /|  Copyright (C) 2001-2002 Richard Atterer
  | \/|  <richard@atterer.net>
   '` 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2. See
  the file COPYING for details.

  Global variables: Pointers to GUI elements.

*/

#ifndef GTK_GUI_HH
#define GTK_GUI_HH

#include <config.h>
#include <gtk-interface.hh>
//______________________________________________________________________

/* Under Unix, packageDataDir is a string constant like
   "/usr/local/share/jigdo/" and is determined at compile time. Under
   Windows, it is a string containing the name of the dir with the
   .exe file. Similar for packageLocaleDir. */
#if WINDOWS
# include <string>
  namespace std { }
  using namespace std;
  extern string packageDataDir; // defined in jigdo.cc
# define packageLocaleDir packageDataDir
#else
# define packageDataDir PACKAGE_DATA_DIR
# define packageLocaleDir PACKAGE_LOCALE_DIR
#endif
//______________________________________________________________________

namespace GUI {

  // Are initialized by create()
  extern Window window;
  extern Filesel filesel;
  extern Errorbox errorbox;
  extern License license;
  // To be called by main() to set up the variables above
  void create();

} // namespace GUI
//______________________________________________________________________

// Callback prototypes for gtk-interface.cc

// Defined in gtk-gui.cc
void on_toolbarExit_clicked(GtkButton*, gpointer);
gboolean on_window_delete_event(GtkWidget*, GdkEvent*, gpointer);
void setNotebookPage(GtkWidget* pageObject);
void on_openButton_clicked(GtkButton*, gpointer);
void on_toolbarExit_clicked(GtkButton*, gpointer);
void on_aboutJigdoButton_clicked(GtkButton*, gpointer);
void on_download_pauseButton_clicked(GtkButton*, gpointer);
//______________________________________________________________________

#endif
