/* $Id: messagebox.hh,v 1.2 2002/05/27 15:51:18 richard Exp $ -*- C++ -*-
  __   _
  |_) /|  Copyright (C) 2001-2002 Richard Atterer
  | \/|  <richard@atterer.net>
   '` 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2. See
  the file COPYING for details.

  Display an error box with a message and an OK button.

*/

#ifndef GTK_MESSAGEBOX_HH
#define GTK_MESSAGEBOX_HH

#include <string>
namespace std { }
using namespace std;

#ifdef MessageBox
#  undef MessageBox // fsck Windows!!
#endif
//______________________________________________________________________

namespace MessageBox {

  /** Types of buttons to add to error boxes. */
  enum {
    OK = 1, CANCEL = 2, ABORT = 4,
    MAX_BUTTON = 4
  };

  /** Displays message in GUI::errorbox.errorbox - when the user
      clicks the OK button, the window is closed again. Any number of
      independent error boxes can be open at the same time. */
  void error(const char* message, unsigned buttons = OK);
  inline void error(const string& message, unsigned buttons = OK) {
    error(message.c_str(), buttons);
  }

}
//______________________________________________________________________

#endif
